docker-compose.override.yml

Clone Tools
  • last updated a few seconds ago
Constraints
Constraints: committers
 
Constraints: files
Constraints: dates
OLMIS-6128: updated docker dev image to 5.2

  1. … 1 more file in changeset.
OLMIS-5467: Updated dev version

  1. … 1 more file in changeset.
I'm not sure if I understand. Do you mean openlmis-demo-data? I don't see the compose file there... only Dockerfile and I've updated it based on openlmis-demo-data Dockerfile.

I'm not sure if I understand. Do you mean openlmis-demo-data? I don't see the compose file there... only Dockerfile and I've updated it based on openlmis-demo-data Dockerfile.

Thanks for moving the script, but it also needs to be executed, to actually impact anything. See how openlmis-demo uses it in the compose file.

Thanks for moving the script, but it also needs to be executed, to actually impact anything. See how openlmis-demo uses it in the compose file.

This should not be changed.

This should not be changed.

OLMIS-5467: Added script to wait for postgres
OLMIS-5467: Added script to wait for postgres
OLMIS-5385: updated template service
OLMIS-5385: updated template service
I still need to fix 3 code smells from sonar. Two of them are related to missing tests and one is related to fact that the class extends other class that has some tests but does not contain any tes...

I still need to fix 3 code smells from sonar. Two of them are related to missing tests and one is related to fact that the class extends other class that has some tests but does not contain any test

OLMIS-5385: updated template service

  1. … 70 more files in changeset.
Upgrade to dev v3 and therefore gradle plugins

Upgrading to Gradle v4:

- sonarqube plugin needed to be upgraded

- took opportunity to upgrade node and flyway plugins to latest stable

- changed generateMigration to no longer use the deprecated "left shift" function of gradle.

  1. … 2 more files in changeset.
looks good

looks good

This should be 'template-service' I guess

This should be 'template-service' I guess

OLMIS-2752: added consul files

  1. … 4 more files in changeset.
Probably it was removed by accident

Probably it was removed by accident

What was the reason for removing that?

What was the reason for removing that?

OLMIS-2752: updated postgres + openlmis/dev versions
OLMIS-2752: updated postgres + openlmis/dev versions
OLMIS-2752: updated postgres + openlmis/dev versions

  1. … 5 more files in changeset.
Bump spring version; update outdated classes and configs

  1. … 13 more files in changeset.
Bump spring version; update outdated classes and configs

  1. … 13 more files in changeset.
It's to make everything a tedious workflow. No, it's so that we can go back in time, and build 3.0, when we're working on 3.5 with JDK 9, and there is a dev image and all the other crap out there ...

It's to make everything a tedious workflow.

No, it's so that we can go back in time, and build 3.0, when we're working on 3.5 with JDK 9, and there is a dev image and all the other crap out there that's published to docker hub with JDK8 (and all the other tools)

LGTM